> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter status da raspagem em lote

> Observação: Uma nova [versão v2 desta API](/pt-BR/api-reference/endpoint/batch-scrape-get) agora está disponível, com recursos aprimorados de acompanhamento de status e monitoramento.


## OpenAPI

````yaml pt-BR/api-reference/v1-openapi.json get /batch/scrape/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: >-
    API para interagir com os serviços da Firecrawl e realizar tarefas de web
    scraping e crawling.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /batch/scrape/{id}:
    parameters:
      - name: id
        in: path
        description: O ID da tarefa de raspagem em lote
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Scraping
      summary: Obtenha o status de uma tarefa de raspagem em lote
      operationId: getBatchScrapeStatus
      responses:
        '200':
          description: Resposta bem-sucedida
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchScrapeStatusResponseObj'
        '402':
          description: Pagamento necessário
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: Muitas solicitações
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: Erro do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    BatchScrapeStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: >-
            O status atual da raspagem em lote. Pode ser `scraping`, `completed`
            ou `failed`.
        total:
          type: integer
          description: O número total de páginas em que se tentou fazer scraping.
        completed:
          type: integer
          description: O número de páginas extraídas com sucesso.
        creditsUsed:
          type: integer
          description: Quantidade de créditos utilizados na raspagem em lote.
        expiresAt:
          type: string
          format: date-time
          description: Data e hora em que o scraping em lote irá expirar.
        next:
          type: string
          nullable: true
          description: >-
            A URL para recuperar os próximos 10 MB de dados. É retornada se a
            raspagem em lote não estiver concluída ou se a resposta for maior
            que 10 MB.
        data:
          type: array
          description: Dados da raspagem em lote.
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: >-
                  Versão em HTML do conteúdo da página quando `includeHtml` for
                  true
              rawHtml:
                type: string
                nullable: true
                description: Conteúdo HTML bruto da página, se `includeRawHtml` for true
              links:
                type: array
                items:
                  type: string
                description: Lista de links na página quando `includeLinks` for true
              screenshot:
                type: string
                nullable: true
                description: >-
                  Captura de tela da página se `includeScreenshot` estiver
                  definido como true
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Título extraído da página; pode ser uma string ou um array
                      de strings
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Descrição extraída da página, que pode ser uma string ou
                      um array de strings
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: >-
                      Idioma extraído da página; pode ser uma string ou um array
                      de strings
                  sourceURL:
                    type: string
                    format: uri
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Palavras-chave extraídas da página, podendo ser uma string
                      ou um array de strings
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: Idiomas alternativos da página
                  '<any other metadata> ':
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      Outros metadados extraídos do HTML; podem ser uma string
                      ou um array de strings
                  statusCode:
                    type: integer
                    description: Código de status da página
                  error:
                    type: string
                    nullable: true
                    description: Mensagem de erro da página
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````